
package art;

import java.io.Serializable;

public class BasicStroke extends java.awt.BasicStroke implements Serializable {

	float width=-1, miterlimit=-1, dash_phase=-1, dash[] = new float[0];
	int cap=Integer.MIN_VALUE, join = Integer.MIN_VALUE;
	
	public BasicStroke refresh(){
	if (width != -1 && cap != Integer.MIN_VALUE && join != Integer.MIN_VALUE && miterlimit != -1 && dash.length > 0 && dash_phase != -1) return new BasicStroke(width, cap, join, miterlimit, dash, dash_phase);
	else if (width != -1 && cap != Integer.MIN_VALUE && join != Integer.MIN_VALUE && miterlimit != -1) return new BasicStroke(width, cap, join, miterlimit);
	else if(width != -1 && cap != Integer.MIN_VALUE && join != Integer.MIN_VALUE) return new BasicStroke(width, cap, join);
	else if(width != -1) return new BasicStroke(width);
	else return new BasicStroke();
	}

	public BasicStroke(){}
	
	public BasicStroke(float width) {
		super(width);
		this.width = width;
	}

	public BasicStroke(float width, int cap, int join) {
		super(width, cap, join);
		this.width = width;
		this.cap = cap;
		this.join = join;
	}

	public BasicStroke(float width, int cap, int join, float miterlimit) {
		super(width, cap, join, miterlimit);
		this.width = width;
		this.cap = cap;
		this.join = join;
		this.miterlimit = miterlimit;
	}

	public BasicStroke(float width, int cap, int join, float miterlimit, float[] dash, float dash_phase) {
		super(width, cap, join, miterlimit, dash, dash_phase);
		this.width = width;
		this.cap = cap;
		this.join = join;
		this.miterlimit = miterlimit;
		this.dash = dash;
		this.dash_phase = dash_phase;
	}

}
